Uploaded image for project: 'Moodle app'
  1. Moodle app
  2. MOBILE-3673

Update target SDK to 30

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Tested
    • Priority: Minor
    • Resolution: Unresolved
    • Affects Version/s: 3.9.4
    • Fix Version/s: None
    • Component/s: Cordova
    • Labels:
    • Sprint:
      Moodle App 3.9.5

      Description

      Requirements for new apps
      From August 2021, the Google Play Console will require all new apps to:

      *Publish with the Android App Bundle format.
      *Utilize Play Asset Delivery or Play Feature *Delivery to deliver assets or features that exceed download size of 150MB. Expansion files (OBBs) will no longer be supported for new apps.
      *Target API level 30 (Android 11) or above and adjust for behavioral changes.

      Requirements for updates to existing apps
      From November 2021, updates to existing apps will be required to target API level 30 or above and adjust for behavioral changes in Android 11. Existing apps that are not receiving updates are unaffected and can continue to be downloaded from the Play Store.

        Attachments

          Activity

            People

            Assignee:
            dpalou Dani Palou
            Reporter:
            dpalou Dani Palou
            Peer reviewer:
            Pau Ferrer
            Integrator:
            Dani Palou
            Participants:
            Component watchers:
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated: